Bug 701982 - Review Request: osm-gps-map - A Gtk+ widget for displaying OpenStreetMap tiles
Summary: Review Request: osm-gps-map - A Gtk+ widget for displaying OpenStreetMap tiles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 702103
TreeView+ depends on / blocked
 
Reported: 2011-05-04 13:19 UTC by Jeffrey C. Ollie
Modified: 2011-05-25 02:38 UTC (History)
4 users (show)

Fixed In Version: osm-gps-map-0.7.3-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:50:00 UTC
Type: ---
bugs.michael: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2011-05-04 13:19:39 UTC
Spec URL: http://jcollie.fedorapeople.org/osm-gps-map.spec
SRPM URL: http://jcollie.fedorapeople.org/osm-gps-map-0.7.3-1.fc15.src.rpm
Description:

A Gtk+ widget that when given GPS co-ordinates,
draws a GPS track, and points of interest on a moving map
display. Downloads map data from a number of websites, including
openstreetmap.org.

Scratch build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=3049662

Comment 1 Michael Schwendt 2011-05-06 20:30:03 UTC
> License:        GPLv3

The included file COPYING is GPLv2. The source files include GPLv2 headers. Upstream web page says "GPLv3", so please ask them to clarify.


> Name:           osm-gps-map
> Group:          Development/Libraries

The group for library base packages typically is "System Environment/Libraries".


> Summary:        A Gtk+ widget for displaying OpenStreetMap tiles

I still think we should get rid of even more "A", "An", "The" articles at the beginning of these summaries. It makes a better reading during installation and in package installer tools.

Your summary for the -devel package also doesn't start with "The". ;)


> %description
> A Gtk+ widget (and Python bindings) ...

The Python bindings are not included in this package, but in a separate one.


> %doc AUTHORS COPYING README

What about file NEWS?


> %files devel
> %doc COPYING

It is not necessary to duplicate that file in the subpackage.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing


> make %{?_smp_mflags}

Consider using

  make V=1 %{?_smp_mflags}

so the build output is less silent and e.g. shows full compiler flags.


> osm-gps-map v0.7.3
> Prefix............... : /usr
> libsoup.............. : 2.4
> Introspection support : no
> gtk-doc documentation : no

$ grep -i introspec build.log 
checking for gobject-introspection... no
Introspection support : no

Comment 2 Jeffrey C. Ollie 2011-05-07 04:18:04 UTC
Michael, I've addressed your comments.  For now, if the source says GPLv2 that's what I'll go with.  I'll work with upstream to clarify in the future.  I also explicitly disabled gobject introspection because it doesn't compile correctly on F15 and from what I can tell isn't that interesting on F14.

Here's a new scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3055990

and a link to the new SRPM:

http://jcollie.fedorapeople.org/osm-gps-map-0.7.3-2.fc15.src.rpm

Comment 3 Michael Schwendt 2011-05-08 18:19:10 UTC
The added BuildRequires cairo-gobject-devel isn't needed, is it?

Other than that, the rpmdev-diff output looks fine.

APPROVED

Comment 4 Jeffrey C. Ollie 2011-05-09 02:25:03 UTC
Michael, thanks for the review.  Yes, the cairo-gobject-devel is not necessary, I added that when I was testing the gobject introspection but forgot to take it back out.  I'll fix that when I import the package.

New Package SCM Request
=======================
Package Name: osm-gps-map
Short Description: Gtk+ widget for displaying OpenStreetMap tiles
Owners: jcollie
Branches: devel f15 f14 f13
InitialCC:

Comment 5 Jason Tibbitts 2011-05-10 16:04:40 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-05-10 17:17:31 UTC
osm-gps-map-0.7.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/osm-gps-map-0.7.3-3.fc15

Comment 7 Fedora Update System 2011-05-10 17:20:01 UTC
osm-gps-map-0.7.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/osm-gps-map-0.7.3-3.fc14

Comment 8 Fedora Update System 2011-05-10 17:21:12 UTC
osm-gps-map-0.7.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/osm-gps-map-0.7.3-3.fc13

Comment 9 Fedora Update System 2011-05-11 05:49:48 UTC
osm-gps-map-0.7.3-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-05-19 04:49:54 UTC
osm-gps-map-0.7.3-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-05-25 02:36:12 UTC
osm-gps-map-0.7.3-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-05-25 02:38:13 UTC
osm-gps-map-0.7.3-3.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.